Skip to main content
POST
/
admins
/
proposals
/
{proposalId}
/
signatures
cURL
curl --request POST \
  --url https://api.onchainden.com/api/v1/admins/proposals/{proposalId}/signatures \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Idempotency-Key: <x-idempotency-key>' \
  --data '
{
  "type": "approve",
  "signature": "<string>",
  "execute": false
}
'
{
  "data": {
    "id": "prop_admin_update_123",
    "resourceType": "admins",
    "action": "update",
    "signatureStatus": "approvalReady",
    "executionStatus": "completed",
    "threshold": 3,
    "approvals": [],
    "rejections": [],
    "createdAt": "2026-01-18T00:00:00.000Z",
    "expiresAt": "2026-01-25T00:00:00.000Z",
    "data": {
      "members": [
        {
          "id": "mem_4",
          "name": "Admin Dana",
          "type": "user",
          "walletAddress": "0xdef..."
        }
      ],
      "threshold": 3
    },
    "result": {
      "resolution": "approved",
      "resources": [
        {
          "type": "admin",
          "id": "adm_123",
          "uri": "/api/v1/admins/adm_123"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Headers

X-Idempotency-Key
string<uuid>
required

Idempotency key for safely retrying mutation requests.

Path Parameters

proposalId
string
required

Proposal ID

Body

application/json
type
enum<string>
required

Type of signature for organization operations

Available options:
approve,
reject
signature
string
required

The cryptographic signature

execute
boolean
default:false

Whether to execute immediately if threshold is met

Response

Admin proposal signed

data
object
required
Example:
{
"id": "prop_admin_update_123",
"resourceType": "admins",
"action": "update",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 3,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"members": [
{
"id": "mem_4",
"name": "Admin Dana",
"type": "user",
"walletAddress": "0xdef..."
}
],
"threshold": 3
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "admin",
"id": "adm_123",
"uri": "/api/v1/admins/adm_123"
}
]
}
}